<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFDataValidationConstraint (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFDataValidationConstraint (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFDataValidationConstraint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFDataValidationConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFDataValidationConstraint" class="title">Class XSSFDataValidationConstraint</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                           title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFDataValidationConstraint</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
              title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd><a href="rjankiraman@emptoris.com">Radhakrishnan J</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.DataValidationConstraint">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                        title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.OperatorType</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html"
                                       title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.ValidationType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#XSSFDataValidationConstraint-int-int-java.lang.String-">XSSFDataValidationConstraint</a></span>(int&nbsp;validationType,
                                    int&nbsp;operator,
                                    java.lang.String&nbsp;formula1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#XSSFDataValidationConstraint-int-int-java.lang.String-java.lang.String-">XSSFDataValidationConstraint</a></span>(int&nbsp;validationType,
                                    int&nbsp;operator,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>
                                    <div class="block">This is the constructor called using the OOXML raw data.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#XSSFDataValidationConstraint-int-java.lang.String-">XSSFDataValidationConstraint</a></span>(int&nbsp;validationType,
                                    java.lang.String&nbsp;formula1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#XSSFDataValidationConstraint-java.lang.String:A-">XSSFDataValidationConstraint</a></span>(java.lang.String[]&nbsp;explicitListOfValues)</code>
                                    <div class="block">list literal constructor</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#getExplicitListValues--">getExplicitListValues</a></span>()</code>
                                    <div class="block">If validation type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#LIST"><code>DataValidationConstraint.ValidationType.LIST</code></a>
                                        and <code>formula1</code> was comma-separated literal values rather than a range
                                        or named range,
                                        returns list of literal values.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#getFormula1--">getFormula1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#getFormula2--">getFormula2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#getOperator--">getOperator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#getValidationType--">getValidationType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#isFormulaEmpty-java.lang.String-">isFormulaEmpty</a></span>(java.lang.String&nbsp;formula1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#prettyPrint--">prettyPrint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#removeLeadingEquals-java.lang.String-">removeLeadingEquals</a></span>(java.lang.String&nbsp;formula1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#setExplicitListValues-java.lang.String:A-">setExplicitListValues</a></span>(java.lang.String[]&nbsp;explicitListValues)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#setFormula1-java.lang.String-">setFormula1</a></span>(java.lang.String&nbsp;formula1)</code>
                                    <div class="block">Sets a formula for expression 1.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#setFormula2-java.lang.String-">setFormula2</a></span>(java.lang.String&nbsp;formula2)</code>
                                    <div class="block">Sets a formula for expression 2.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#setOperator-int-">setOperator</a></span>(int&nbsp;operator)</code>
                                    <div class="block">Sets the comparison operator for this constraint</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html#validate--">validate</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFDataValidationConstraint-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFDataValidationConstraint</h4>
                                <pre>public&nbsp;XSSFDataValidationConstraint(java.lang.String[]&nbsp;explicitListOfValues)</pre>
                                <div class="block">list literal constructor</div>
                            </li>
                        </ul>
                        <a name="XSSFDataValidationConstraint-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFDataValidationConstraint</h4>
                                <pre>public&nbsp;XSSFDataValidationConstraint(int&nbsp;validationType,
                                    java.lang.String&nbsp;formula1)</pre>
                            </li>
                        </ul>
                        <a name="XSSFDataValidationConstraint-int-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFDataValidationConstraint</h4>
                                <pre>public&nbsp;XSSFDataValidationConstraint(int&nbsp;validationType,
                                    int&nbsp;operator,
                                    java.lang.String&nbsp;formula1)</pre>
                            </li>
                        </ul>
                        <a name="XSSFDataValidationConstraint-int-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFDataValidationConstraint</h4>
                                <pre>public&nbsp;XSSFDataValidationConstraint(int&nbsp;validationType,
                                    int&nbsp;operator,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</pre>
                                <div class="block">This is the constructor called using the OOXML raw data. Excel
                                    overloads formula1 to also encode explicit value lists,
                                    so this constructor has to check for and parse that syntax.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>validationType</code> -</dd>
                                    <dd><code>operator</code> -</dd>
                                    <dd><code>formula1</code> - Overloaded: formula1 or list of explicit values</dd>
                                    <dd><code>formula2</code> - (formula1 is a list of explicit values, this is ignored:
                                        use <code>null</code>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getExplicitListValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExplicitListValues</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getExplicitListValues()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getExplicitListValues--">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">If validation type is <a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#LIST"><code>DataValidationConstraint.ValidationType.LIST</code></a>
                                    and <code>formula1</code> was comma-separated literal values rather than a range or
                                    named range,
                                    returns list of literal values.
                                    Otherwise returns <code>null</code>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getExplicitListValues--">getExplicitListValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula1</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula1()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getFormula1--">getFormula1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula for expression 1. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula2</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula2()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getFormula2--">getFormula2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula for expression 2. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOperator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOperator</h4>
                                <pre>public&nbsp;int&nbsp;getOperator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getOperator--">getOperator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the operator used for this constraint</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValidationType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValidationType</h4>
                                <pre>public&nbsp;int&nbsp;getValidationType()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getValidationType--">getValidationType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>data validation type of this constraint</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.ValidationType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setExplicitListValues-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExplicitListValues</h4>
                                <pre>public&nbsp;void&nbsp;setExplicitListValues(java.lang.String[]&nbsp;explicitListValues)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setExplicitListValues-java.lang.String:A-">setExplicitListValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormula1-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormula1</h4>
                                <pre>public&nbsp;void&nbsp;setFormula1(java.lang.String&nbsp;formula1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula1-java.lang.String-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets a formula for expression 1.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula1-java.lang.String-">setFormula1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeLeadingEquals-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeLeadingEquals</h4>
                                <pre>protected static&nbsp;java.lang.String&nbsp;removeLeadingEquals(java.lang.String&nbsp;formula1)</pre>
                            </li>
                        </ul>
                        <a name="isFormulaEmpty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFormulaEmpty</h4>
                                <pre>protected static&nbsp;boolean&nbsp;isFormulaEmpty(java.lang.String&nbsp;formula1)</pre>
                            </li>
                        </ul>
                        <a name="setFormula2-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormula2</h4>
                                <pre>public&nbsp;void&nbsp;setFormula2(java.lang.String&nbsp;formula2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula2-java.lang.String-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets a formula for expression 2.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula2-java.lang.String-">setFormula2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOperator-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOperator</h4>
                                <pre>public&nbsp;void&nbsp;setOperator(int&nbsp;operator)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setOperator-int-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets the comparison operator for this constraint</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setOperator-int-">setOperator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="validate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>validate</h4>
                                <pre>public&nbsp;void&nbsp;validate()</pre>
                            </li>
                        </ul>
                        <a name="prettyPrint--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>prettyPrint</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;prettyPrint()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFDataValidationConstraint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFDataValidationConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
